---
title: 'WebGL2RenderingContext.samplerParameter[if]()'
slug: Web/API/WebGL2RenderingContext/samplerParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.samplerParameter[if]()</code></strong> methods of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> set {{domxref("WebGLSampler")}} parameters.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.samplerParameteri(<var>sampler</var>, <var>pname</var>, <var>param</var>);
void <var>gl</var>.samplerParameterf(<var>sampler</var>, <var>pname</var>, <var>param</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>sampler</code></dt>
 <dd>A {{domxref("WebGLSampler")}} object.</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which parameter to set. Possible values:
 <ul>
  <li><code>gl.TEXTURE_COMPARE_FUNC</code>: A {{domxref("GLenum")}} specifying the texture comparison function.</li>
  <li><code>gl.TEXTURE_COMPARE_MODE</code>: A {{domxref("GLenum")}} specifying the texture comparison mode.</li>
  <li><code>gl.TEXTURE_MAG_FILTER</code>: A {{domxref("GLenum")}} specifying the texture magnification filter.</li>
  <li><code>gl.TEXTURE_MAX_LOD</code>: A {{domxref("GLfloat")}} specifying the maximum level-of-detail value.</li>
  <li><code>gl.TEXTURE_MIN_FILTER</code>: A {{domxref("GLenum")}} specifying the texture minification filter</li>
  <li><code>gl.TEXTURE_MIN_LOD</code>: A {{domxref("GLfloat")}} specifying the minimum level-of-detail value.</li>
  <li><code>gl.TEXTURE_WRAP_R</code>: A {{domxref("GLenum")}} specifying the texture wrapping function for the texture coordinate r.</li>
  <li><code>gl.TEXTURE_WRAP_S</code>: A {{domxref("GLenum")}} specifying the texture wrapping function for the texture coordinate s.</li>
  <li><code>gl.TEXTURE_WRAP_T</code>: A {{domxref("GLenum")}} specifying the texture wrapping function for the texture coordinate t.</li>
 </ul>
 </dd>
 <dt><code>param</code></dt>
 <dd>A {{domxref("GLint")}} (<code>samplerParameteri</code>) or a {{domxref("GLfloat")}} (<code>samplerParameterf</code>) specifying a value for <code>pname</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var sampler = gl.createSampler();
gl.samplerParameteri(sampler, gl.TEXTURE_MAG_FILTER, gl.NEAREST);
</pre>

<h2 id="Specifications">Specifications</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.samplerParameteri")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLSampler")}}</li>
</ul>
